Domeny niestandardowe
GET https://oohbe.com/api/domains/
curl --request GET \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalny Ciąg | Ciężar wyszukiwania. |
| search_by | Opcjonalny Ciąg | Jakie pole przeszukujesz? Dozwolone wartości to: host. |
| is_enabled | Opcjonalny Boolean | |
| datetime_field | Opcjonalny Ciąg | Dozwolone wartości: datetime, last_datetime |
| datetime_start | Opcjonalny Ciąg | Data rozpoczęcia |
| datetime_end | Opcjonalny Ciąg | Data zakończenia |
| order_by | Opcjonalny Ciąg | Jakie pole użyć do sortowania wyników. Dozwolone wartości to: domain_id, datetime, last_datetime, host. |
| order_type | Opcjonalny Ciąg | Kolejność wyników. Dozwolone wartości to: ASC dla porządku rosnącego i DESC dla porządku malejącego. |
| page | Opcjonalny Całkowity | Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1. |
| results_per_page | Opcjonalny Całkowity | Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-08-16 11:51:39"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/domains?page=1",
"last": "https://oohbe.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/domains?page=1"
}
}
GET https://oohbe.com/api/domains/{domain_id}
curl --request GET \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-08-16 11:51:39"
}
}
POST https://oohbe.com/api/domains
| Parametry | Szczegóły | Opis |
|---|---|---|
| host | Wymagane Ciąg | - |
| custom_index_url | Opcjonalny Ciąg | - |
| custom_not_found_url | Opcjonalny Ciąg | - |
curl --request POST \
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/domains/{domain_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| host | Opcjonalny Ciąg | - |
| custom_index_url | Opcjonalny Ciąg | - |
| custom_not_found_url | Opcjonalny Ciąg | - |
curl --request POST \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \